<template>
  <div class="public-bounced map-background" v-drag v-show="flag">
    <div class="public-bounced-title panel-title" ref="publicBounced">
      <span>{{ displayContentTitle }}</span>
      <i class="el-icon-circle-close" @click="closePopup"></i>
    </div>
    <div class="public-bounced-content">
      <div class="public-bounced-content-left">
        <public-tabs :setSolidWaste="displayContentTab"></public-tabs>
        <div class="public-bounced-content-left-bottom">
          <public-table :displayContentTable="displayContentTable"></public-table>
        </div>
      </div>
      <div class="public-bounced-content-right">
        <public-video></public-video>
      </div>
    </div>
  </div>
</template>

<script>

import '@/utils/dragBoxes'
import PublicTabs from '@components/BaseNav/WasteSolid/PublicTabs'
import PublicTable from '@components/BaseNav/WasteSolid/PublicTable'
import PublicVideo from '@components/BaseNav/WasteSolid/PublicVideo'

export default {
  name: 'WasteSolidIndex',
  components: {
    PublicTabs,
    PublicTable,
    PublicVideo
  },
  data () {
    return {
      displayContentTitle: '',
      displayContentTab: '',
      displayContentTable: '',
      flag: false
    }
  },
  methods: {
    closePopup () {
      this.flag = false
    },
    // async reauestData () {
    //   const dataValue = {
    //     StoragePlaceId: 0
    //   }
    //   // console.log(e.layer.options.totransferData.Name)
    //   // 弹框标题
    //   const title = e.layer.options.totransferData.Name
    //   // 基本信息 tabs
    //   const resultBasic = await mapApi.getSolidWasteBaseInfo(dataValue)
    //   // 详细信息展示 table
    //   const resultDetailed = await mapApi.getSolidWasteDetail(dataValue)
    // },
    // 固废相关信息设置
    setData (title, dataBasic, dataDetailed, value) {
      this.flag = true
      this.value = value
      this.displayContentTitle = title
      this.displayContentTab = dataBasic[0]
      this.displayContentTable = dataDetailed[0]
    }
  }
}
</script>

<style lang="less" scoped>
.public-bounced {
  z-index: 2000;
  position: absolute;
  top: 35%;
  left: 20%;

  .public-bounced-title {
    cursor: move;
    height: 0.1rem;
    padding: 10px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;

    span {
      color: #f4f7ff;
      margin: 0 15px;
      font-size: 14px;
    }

    i {
      color: #C0C4CC;
      margin: 0 15px;
      font-size: 22px;
      cursor: pointer;
    }

    i:hover {
      color: #00fff6;
    }
  }

  .public-bounced-content {
    padding: 0.1rem;
    display: flex;
    //align-items: center;
    //justify-content: space-around;

    .public-bounced-content-left {
      //width: 4.8rem;
    }

    .public-bounced-content-right {
      //width: 3rem;
      margin-left: 0.1rem;
    }
  }
}
</style>
